// 创建一个路由器，并暴露出去

// 第一步：引入createRouter
import {createRouter,createWebHistory/* createWebHashHistory*/} from 'vue-router'
// 引入一个一个可能要呈现组件
import Home from '@/components/对路由的理解/pages/Home.vue'
import News from '@/components/对路由的理解/pages/News.vue'
import About from '@/components/对路由的理解/pages/About.vue'
import Detail from '@/components/对路由的理解/pages/Detail.vue'

// 第二步：创建路由器
const router = createRouter({
  history:createWebHistory(),
  //history:createWebHashHistory(), //路由器的工作模式（稍后讲解）
  routes:[
    {
      name:'zhuye', //路由的名称
      path:'/Home', //路由的路径
      component:Home //路由对应的组件
    },
    {
      name:'xinwen', //路由的名称
      path:'/News', //路由的路径
      component:News, //路由对应的组件
      children:
      [
        {
          path:'detail', //路由的路径
          component:Detail, //路由对应的组件
        },
      ]
    },
    {
      name:'guanyu', //路由的名称
      path:'/About', //路由的路径
      component:About //路由对应的组件
    },
  ]
})

export default router
// 第三步：导出路由器
// 让路由器可以在main.ts中被使用
// 让路由器可以在App.vue中被使用
// 让路由器可以在其他组件中被使用
